#include <stdio.h>

int main() {
  unsigned int n, a;
  scanf("%hu %hu", &n, &a);

  printf(-1);
  return 0;
}#include <stdio.h>

int main() {
  unsigned int n, a;
  scanf("%hu %hu", &n, &a);

  printf("%hu", -1);
  return 0;
}